Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# pngset.c File Reference

`#include "png.h"`

Include dependency graph for pngset.c:

## Defines
#define | PNG_INTERNAL
## Functions
void | png_set_bKGD (png_structp png_ptr, png_infop info_ptr, png_color_16p background)
void | png_set_cHRM (png_structp png_ptr, png_infop info_ptr, double white_x, double white_y, double red_x, double red_y, double green_x, double green_y, double blue_x, double blue_y)
void | png_set_cHRM_fixed (png_structp png_ptr, png_infop info_ptr, png_fixed_point white_x, png_fixed_point white_y, png_fixed_point red_x, png_fixed_point red_y, png_fixed_point green_x, png_fixed_point green_y, png_fixed_point blue_x, png_fixed_point blue_y)
void | png_set_gAMA (png_structp png_ptr, png_infop info_ptr, double file_gamma)
void | png_set_gAMA_fixed (png_structp png_ptr, png_infop info_ptr, png_fixed_point int_gamma)
void | png_set_hIST (png_structp png_ptr, png_infop info_ptr, png_uint_16p hist)
void | png_set_IHDR (png_structp png_ptr, png_infop info_ptr, png_uint_32 width, png_uint_32 height, int bit_depth, int color_type, int interlace_type, int compression_type, int filter_type)
void | png_set_oFFs (png_structp png_ptr, png_infop info_ptr, png_int_32 offset_x, png_int_32 offset_y, int unit_type)
void | png_set_pCAL (png_structp png_ptr, png_infop info_ptr, png_charp purpose, png_int_32 X0, png_int_32 X1, int type, int nparams, png_charp units, png_charpp params)
void | png_set_sCAL (png_structp png_ptr, png_infop info_ptr, int unit, double width, double height)
void | png_set_pHYs (png_structp png_ptr, png_infop info_ptr, png_uint_32 res_x, png_uint_32 res_y, int unit_type)
void | png_set_PLTE (png_structp png_ptr, png_infop info_ptr, png_colorp palette, int num_palette)
void | png_set_sBIT (png_structp png_ptr, png_infop info_ptr, png_color_8p sig_bit)
void | png_set_sRGB (png_structp png_ptr, png_infop info_ptr, int intent)
void | png_set_sRGB_gAMA_and_cHRM (png_structp png_ptr, png_infop info_ptr, int intent)
void | png_set_iCCP (png_structp png_ptr, png_infop info_ptr, png_charp name, int compression_type, png_charp profile, png_uint_32 proflen)
void | png_set_text (png_structp png_ptr, png_infop info_ptr, png_textp text_ptr, int num_text)
int | png_set_text_2 (png_structp png_ptr, png_infop info_ptr, png_textp text_ptr, int num_text)
void | png_set_tIME (png_structp png_ptr, png_infop info_ptr, png_timep mod_time)
void | png_set_tRNS (png_structp png_ptr, png_infop info_ptr, png_bytep trans, int num_trans, png_color_16p trans_values)
void | png_set_sPLT (png_structp png_ptr, png_infop info_ptr, png_sPLT_tp entries, int nentries)
void | png_set_unknown_chunks (png_structp png_ptr, png_infop info_ptr, png_unknown_chunkp unknowns, int num_unknowns)
void | png_set_unknown_chunk_location (png_structp png_ptr, png_infop info_ptr, int chunk, int location)
void | png_permit_empty_plte (png_structp png_ptr, int empty_plte_permitted)
png_uint_32 | png_permit_mng_features (png_structp png_ptr, png_uint_32 mng_features)
void | png_set_keep_unknown_chunks (png_structp png_ptr, int keep, png_bytep chunk_list, int num_chunks)
void | png_set_read_user_chunk_fn (png_structp png_ptr, png_voidp user_chunk_ptr, png_user_chunk_ptr read_user_chunk_fn)
void | png_set_rows (png_structp png_ptr, png_infop info_ptr, png_bytepp row_pointers)
void | png_set_compression_buffer_size (png_structp png_ptr, png_uint_32 size)
void | png_set_invalid (png_structp png_ptr, png_infop info_ptr, int mask)
void | png_set_asm_flags (png_structp png_ptr, png_uint_32 asm_flags)
void | png_set_mmx_thresholds (png_structp png_ptr, png_byte mmx_bitdepth_threshold, png_uint_32 mmx_rowbytes_threshold)
void | png_set_user_limits (png_structp png_ptr, png_uint_32 user_width_max, png_uint_32 user_height_max)

## Define Documentation

#define PNG_INTERNAL

## Function Documentation

void png_permit_empty_plte | ( | png_structp | png_ptr,
|  | int | empty_plte_permitted
| ) |

png_uint_32 png_permit_mng_features | ( | png_structp | png_ptr,
|  | png_uint_32 | mng_features
| ) |

void png_set_asm_flags | ( | png_structp | png_ptr,
|  | png_uint_32 | asm_flags
| ) |

void png_set_bKGD | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_color_16p | background
| ) |

void png_set_cHRM | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | double | white_x,
|  | double | white_y,
|  | double | red_x,
|  | double | red_y,
|  | double | green_x,
|  | double | green_y,
|  | double | blue_x,
|  | double | blue_y
| ) |

void png_set_cHRM_fixed | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_fixed_point | white_x,
|  | png_fixed_point | white_y,
|  | png_fixed_point | red_x,
|  | png_fixed_point | red_y,
|  | png_fixed_point | green_x,
|  | png_fixed_point | green_y,
|  | png_fixed_point | blue_x,
|  | png_fixed_point | blue_y
| ) |

void png_set_compression_buffer_size | ( | png_structp | png_ptr,
|  | png_uint_32 | size
| ) |

void png_set_gAMA | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | double | file_gamma
| ) |

void png_set_gAMA_fixed | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_fixed_point | int_gamma
| ) |

void png_set_hIST | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_16p | hist
| ) |

void png_set_iCCP | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_charp | name,
|  | int | compression_type,
|  | png_charp | profile,
|  | png_uint_32 | proflen
| ) |

void png_set_IHDR | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | width,
|  | png_uint_32 | height,
|  | int | bit_depth,
|  | int | color_type,
|  | int | interlace_type,
|  | int | compression_type,
|  | int | filter_type
| ) |

void png_set_invalid | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | int | mask
| ) |

void png_set_keep_unknown_chunks | ( | png_structp | png_ptr,
|  | int | keep,
|  | png_bytep | chunk_list,
|  | int | num_chunks
| ) |

void png_set_mmx_thresholds | ( | png_structp | png_ptr,
|  | png_byte | mmx_bitdepth_threshold,
|  | png_uint_32 | mmx_rowbytes_threshold
| ) |

void png_set_oFFs | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_int_32 | offset_x,
|  | png_int_32 | offset_y,
|  | int | unit_type
| ) |

void png_set_pCAL | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_charp | purpose,
|  | png_int_32 | X0,
|  | png_int_32 | X1,
|  | int | type,
|  | int | nparams,
|  | png_charp | units,
|  | png_charpp | params
| ) |

void png_set_pHYs | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | res_x,
|  | png_uint_32 | res_y,
|  | int | unit_type
| ) |

void png_set_PLTE | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_colorp | palette,
|  | int | num_palette
| ) |

void png_set_read_user_chunk_fn | ( | png_structp | png_ptr,
|  | png_voidp | user_chunk_ptr,
|  | png_user_chunk_ptr | read_user_chunk_fn
| ) |

void png_set_rows | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_bytepp | row_pointers
| ) |

void png_set_sBIT | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_color_8p | sig_bit
| ) |

void png_set_sCAL | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | int | unit,
|  | double | width,
|  | double | height
| ) |

void png_set_sPLT | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_sPLT_tp | entries,
|  | int | nentries
| ) |

void png_set_sRGB | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | int | intent
| ) |

void png_set_sRGB_gAMA_and_cHRM | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | int | intent
| ) |

void png_set_text | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_textp | text_ptr,
|  | int | num_text
| ) |

int png_set_text_2 | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_textp | text_ptr,
|  | int | num_text
| ) |

void png_set_tIME | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_timep | mod_time
| ) |

void png_set_tRNS | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_bytep | trans,
|  | int | num_trans,
|  | png_color_16p | trans_values
| ) |

void png_set_unknown_chunk_location | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | int | chunk,
|  | int | location
| ) |

void png_set_unknown_chunks | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_unknown_chunkp | unknowns,
|  | int | num_unknowns
| ) |

void png_set_user_limits | ( | png_structp | png_ptr,
|  | png_uint_32 | user_width_max,
|  | png_uint_32 | user_height_max
| ) |